Java 开发人员手册

# 1. 基础练习
1. Java 代码仓库: [https://github.com/RunAtWorld/JavaPrinciple](https://github.com/RunAtWorld/JavaPrinciple)
2.  算法练习
	- [各种语言的各种算法](https://github.com/TheAlgorithms)
3. Java 学习资源
    - Java MyBatis : [文档资料](https://down.51cto.com/data/2081927) / [视频教程](http://edu.51cto.com/course/course_id-1354.html)

# 2. SRE/Ops
### 2.1 [Linux 学习与工具](https://github.com/hbulpf/LinuxFun)

### 2.2 人工运维自动化
1. [Linux服务器常见运维脚本](https://github.com/hbulpf/ServerOps)
1. [Windows 常用命令](./windows/windows_cmd.md)

### 2.3 DevOps
+ 工具
   - 服务接口设计 ： [swagger](./swagger/swagger.md)
   - [开发工具](devtools/)： [IdeaJ](devtools/)	
   
+ 版本控制&团队协作
	- [svn 常用指令](./svn_cmd.md)
	- [git 常用指令](./gitcmd.md)  /  [git 官方中文教程](https://git-scm.com/book/zh/v2) 
	
+ 开发
	- [Java 开发](./dev/java/)
		+ [maven 命令](./dev/java/maven/mavencmd.md) / [maven仓库配置](./dev/java/maven/maven_setting.xml)
		+ 日志: [logback](./dev/java/logback/logback.md)
	
   - [Mysql](./dev/mysql/)

### 2.4 面试相关
1. [`sre/ops` 技术面试](./interview/sre.md)
2. [hr面试](./interview/hr.md)

### 2.5 其他资源
1. 常用软件资源

资源名 | 资源链接
------------ | -------------
网易开源镜像站 | http://mirrors.163.com
清华大学开源软件镜像站 | https://mirrors.tuna.tsinghua.edu.cn
中科大开源软件镜像站 | http://mirrors.ustc.edu.cn/
阿里巴巴开源软件镜像站 | http://mirrors.aliyun.com/

 [更多开源镜像资源...](./mirrors.md)

# 3. 云计算
1. 云存储
	1. [Ceph 运行维护手册/集群自动化脚本](https://github.com/RunAtWorld/ceph_manual)
1. Docker 容器
	1. [Docker 常见命令](./docker/docker_cmd.md)
    	1. [基于容器的弹性大数据平台](https://github.com/hbulpf/HSDocker)
    
# 4. 大数据
## 4.1 Hadoop生态
1. Hadoop
1. Hive
1. Pig
1. HBase
1. Spark

## 4.2 Hadoop相关部署工具
1. [hdp](https://hortonworks.com/downloads/#data-platform)
1. [cdh](https://www.cloudera.com/products/open-source/apache-hadoop/key-cdh-components.html)
1. [ambari](https://ambari.apache.org/)

# 5. 机器学习
1. [机器学习仓库](./ml/README.md)

# 6. 其他
1. [重点看的书](./BookList.md)
2. [正在学习](./interview/todo.md) 

---------------------------
[`@RunAtWorld的csdn`](https://blog.csdn.net/RunAtWorld)    [`@RunAtWorld的github`](https://github.com/RunAtWorld)

